#!/bin/sh

#Get the script's directory not the running directory
DIR="$( cd "$( dirname "$0" )" && pwd )"

# The default sink name is the sink currently in use.
SINK=$(pacmd stat | grep "Default sink name:" | cut -d : -f 2 | cut -d ' ' -f 2)

# Get the volume of the currently used sink.
VOL=$(pulsemixer --get-volume | cut -d ' ' -f 1)

# parse SINK to turn alsa_output.pci-0000_00_1f.3.analog-stereo
# into pci and 0000:00:1f.3
# This way we can construct /sys/bus/pci/devices/0000\:00\:1f.3/sound/card0/id
# which holds the name of the card we can use in amixer.
TMP=$(echo $SINK | cut -d '.' -f 2,3)
BUS=$(echo $TMP | cut -d '-' -f 1)
TMP2=$(echo $TMP | cut -d '-' -f 2)
DEV=$(echo $TMP2 | sed 's/_/:/g')

# I don't know if this is always true. It should be for alsa devices.
ALSADEV=$(cat /sys/bus/$BUS/devices/$DEV/sound/card0/id)

# Save these variables to file.  We'll need them from other scripts.
echo "$SINK" > $DIR/pulseaudio-sink
echo "$VOL" > $DIR/pulseaudio-vol
echo "$ALSADEV" > $DIR/pulseaudio-alsadev

# set the jack sink as the currently used sink
pacmd set-default-sink jack_out
sleep 1
# After setting the sink, set the jack sink volume to be the old
# volume.  Since we will make the device volume maximum, we should
# get the same volume before and after the switch.
pulsemixer --set-volume "$VOL"

# the device volume is probably where pulseaudio left it.  We need to
# make sure it is maximum so that aerodrums has full control of the
# available volume.
amixer -q -c "$ALSADEV" set Master 100%

